$(function(){
	
	$.ajaxSetup ({

    cache: false //关闭AJAX相应的缓存

});
	
	$(".outBtn").click(function(){
				if (!confirm('您确定要退出安装吗？'))
				{
					return false;
				}
				if (document.all && !window.opener)
				{
					window.opener = '';
				}
				window.close();
	});
	
	$("#btnNext1").click(function(){
		$("#stemp1").removeClass("show");
		$("#stemp2").addClass("show");
	});
	
	$("#btnUp1").click(function(){
		$("#stemp1").addClass("show");
		$("#stemp2").removeClass("show");
	});
	
	$("#btnNext2").click(function(){
		var msSqlServer=$("#msSqlServer").val();
		var msSqlDataBase=$("#msSqlDataBase").val();
		var msSqlUser=$("#msSqlUser").val();
		var msSqlPwd=$("#msSqlPwd").val();		
		
		$("#stemp2").removeClass("show");
		$("#stemp3").addClass("show");
		var btnNext3=$("#btnNext3");
		btnNext3.attr("disabled","disabled");
		
		$.post("setConfig.aspx?sServer="+msSqlServer+"&sDatabase="+msSqlDataBase+"&sUser="+msSqlUser+"&sPwd="+msSqlPwd,function(data){				
				
				var vrMsg="";
				if(data=="0")
				{
					vrMsg="未加载到web.config文件，请确认此文件存在？";
				}
				if(data=="1")
				{
					btnNext3.attr("disabled","");
					vrMsg="恭喜，web.config文件配制成功！";
				}
				
				if(data=="2")
				{
					vrMsg="web.config文件配制失败。";
				}
				
				if(data=="3")
				{
					vrMsg="数据库配制信息不能为空。";
				}
				
				$("#showConfigMsg").html("<font color=\"red\">"+vrMsg+"</font>");	
			});
	});
	
	$(".btnUp21").click(function(){
		$("#stemp2").addClass("show");
		$("#stemp3").removeClass("show");
		$("#stemp4").removeClass("show");
	});
	
	$("#btnNext4").click(function(){
		window.location="siteInfoSet.aspx";
	});
	
	$("#btnNext3").click(function(){
		$("#stemp4").addClass("show");
		$("#stemp3").removeClass("show");
		var showConfigMsg3=$("#showConfigMsg3");
		showConfigMsg3.hide();
		var btnUp21=$(".btnUp21");
		var btnNext4=$("#btnNext4");
		btnUp21.hide();
		$.post("creatBase.aspx",function(data){				
			var vrMsg2="";
			if(data=="1")
			{
				vrMsg2="恭喜，数据库连接检测结果，连接正常！";
				$("#showConfigMsg2").html("<font color=\"red\">"+vrMsg2+"</font>");	
				showConfigMsg3.show();
						
				$.post("creatBase.aspx?action=sql",function(data){	
									
						//vrMsg2="恭喜，数据表和基础数据创建完成！		
						showConfigMsg3.html(data);
						
						btnNext4.attr("disabled","");
				});				
			}
			
			if(data=="4")
			{
				vrMsg2="抱歉，数据库连接检测结果，连接失败。";
				$("#showConfigMsg2").html("<font color=\"red\">"+vrMsg2+"</font>");	
				btnUp21.show();
			}			
		});
	});	
		
});